function [ E,F ] = findSS2( x,beta,mudist,sigdist,epsilon,vartheta,extH, alpha, gamma, phiSS,psi, xi,chi,delta,Bbar ,Bgcbbar, betab,lambda2,Match,Bcbbar,lambdaSS,GammabSS,multiround,lognorm,TellMeRbar)
%clear;beta=.95 ,epsilon=5, alpha=.33, gamma=2, phiSS=.2,psi=1, xi=.5,chi=.01,Rbar=1/beta,delta=.1,Bbar=1,mudist=0, sigdist=1
%calibration targets
NonProdAssetRatio   =.3725;
BondRatio           =.1035;
EquityRatio         =.0680;   

% NonProdAssetRatio=.2826;
% BondRatio=.1178;
% EquityRatio= 0.078;   

%Variables to solve for
omegal=x(1);
omegab=x(2);
K=x(3);
%Parameters to solve for if calibration is desired
if length(x)>3
    mudist=x(4);
    if  length(x)>4
        sigdist=x(5);
        if  length(x)>5 
            if isnan(x(6))==0
                lambdaSS=x(6);
            end
            if  length(x)>6
                Bbar=x(7);
                if  length(x)>7
                    phiSS=x(8);
                end
            end
        end
    end
end
if lognorm==1
    condexpwb=exp(mudist+sigdist^2/2)*normcdf((-log(omegab)+mudist+sigdist^2)/sigdist)/(.5-.5*erf((log(omegab)-mudist)/(sqrt(2)*sigdist)));
    condexpwl=exp(mudist+sigdist^2/2)*normcdf((-log(omegal)+mudist+sigdist^2)/sigdist)/(.5-.5*erf((log(omegal)-mudist)/(sqrt(2)*sigdist)));
    condexpwlb=(condexpwl*(1-normcdf((log(omegal)-mudist)/sigdist))-condexpwb*(1-normcdf((log(omegab)-mudist)/sigdist)))/(1-normcdf((log(omegal)-mudist)/sigdist)-(1-normcdf((log(omegab)-mudist)/sigdist)));
    if omegal  == omegab
        condexpwlb = 0;
    end
    Fomegab=normcdf((log(omegab)-mudist)/sigdist);
    Fomegal=normcdf((log(omegal)-mudist)/sigdist);

else
    condexpwb  = (omegab+(mudist+sigdist))/2;
    condexpwl  = (omegal+(mudist+sigdist))/2;
    condexpwlb = (omegal+omegab)/2;
    Fomegab    = (omegab-(mudist-sigdist))/(2*sigdist);
    Fomegal    = (omegal-(mudist-sigdist))/(2*sigdist);
end


Omega=1;
Rd=1/beta;
I=K*(1-(1-delta)*Omega);
Ra= Rd /(omegab*(1-Fomegab)+omegal*Fomegal+(Fomegab-Fomegal)*condexpwlb);
Rb= omegab*Ra;
Rl= omegal*Ra ;
Rk=Ra-(1-delta);
mu=(epsilon-1)/epsilon;
W=(1-alpha)*mu*(Rk/(alpha*mu))^(alpha/(alpha-1));
L=(((1-alpha)*mu/W)^(1/alpha))*Omega*K;
Y=(Omega*K)^alpha*L^(1-alpha);
Bgcb= Bgcbbar*Y*Bbar;
Bg  = Bbar*Y-Bgcb;
D=(K + (Fomegal + Fomegab *(-1 + phiSS) - phiSS)*(Bg + K + Bbar *Bgcbbar *Y))/((-1 + Fomegab)* phiSS);
N=(K-D*(Fomegab-Fomegal))/(phiSS*(1- Fomegab)+(Fomegab-Fomegal)) ; 
C=Y-I;
Phib=(1-Fomegab)*(N*(phiSS-1)-D);
Phil=Bgcbbar*Bbar*Y+Phib;
Omega2 = (phiSS*(1-Fomegab)*condexpwb +(Fomegab-Fomegal)*condexpwlb*(1+D/N))/(phiSS*(1-Fomegab)+(Fomegab-Fomegal)*(1+D/N));



if lambdaSS>1000 && Match==0
    Match=1;
end
if Match==1
    m=min(Phil,Phib);
elseif Match==0
    m=Phil*Phib/((Phil^lambdaSS+Phib^lambdaSS)^(1/lambdaSS));
elseif Match==2
    m=min(min(Phib,Phil),lambda2*Phil^lambdaSS*Phib^(1-lambdaSS));
end
Gammab=m/Phib;
Gammal=m/Phil;
varphi=(multiround==1)*(xi*(1-vartheta*Gammal))/(1-xi*vartheta*Gammal-(1-xi)*vartheta*Gammab)+...
       (multiround==0)*(1/((Phib/Phil)^lambdaSS+1));
Rlf=Rb+Gammab*(varphi)*chi;
Rdf=Rlf-chi;
Rbar=Rdf;

F=[
    %solution
    N-(betab*(Ra*Omega*K-((N*(phiSS-1)-D)*Rb*(1-Fomegab)-Rl*Fomegal*(N+D))-Rd*D))
    W-L^psi/(C*(1-extH))^-gamma
    Rl-Rlf+(1-Gammal*(1-varphi))*chi
    %calibration
    Omega2-1
    (GammabSS-Gammab)*(length(x)>5 &&isnan(x(6))==0)
    Fomegal*(N+D)/(Fomegal*(N+D)+K)-NonProdAssetRatio
    Bg/(Fomegal*(N+D)+K)-BondRatio
    %D/(Fomegal*(N+D)+K)-DepositRatio
    N/(Fomegal*(N+D)+K)-EquityRatio
    ];
F=F(1:length(x));


E=[];

if TellMeRbar==1
    E=Rbar;
end
end

